> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/vpc/deletevpc.md).

# DeleteVpc

## 1. 接口描述

本接口(DeleteVpc)用于本接口用于删除一个Vpc。

{% hint style="info" %}
**注意事项**

* 本接口为异步接口，当删除Vpc请求下发成功后会返回一个RequestId，此时删除Vpc操作并未立即完成。在此期间Vpc的状态将会处于`DELETING`，结果可以通过调用`DescribeVpcs`接口查询，如果Vpc列表不存在该Vpc，则代表Vpc删除成功。`DELETING`状态不能进行任何操作。
* 不能删除存在Subnet的Vpc，可通过`DescribeVpcs`接口查看。
* 该接口只能被处于 **AVAILABLE** 或 **CREATE\_FAILED** 状态的Vpc调用。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称  | 必选 | 类型     | 描述      |
| ----- | -- | ------ | ------- |
| vpcId | 是  | String | VPC的ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 删除VPC。**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteVpc
Request:
{
  "vpcId": "your-vpc-id"
}
Response:
{
  "requestId": "TBDB421E3-47F4-46FD-AE4E-C912CB89744E",
  "response": {
    "requestId": "TBDB421E3-47F4-46FD-AE4E-C912CB89744E"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/vpc/deletevpc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
